const TokenService = {
    // 保存 token 到 localStorage
    saveToken: function(token) {
      localStorage.setItem('token', token);
    },
    
    // 从 localStorage 获取 token
    getToken: function() {
      return localStorage.getItem('token');
    },
    
    // 移除 localStorage 中的 token
    removeToken: function() {
      localStorage.removeItem('token');
    },
    
    // 检查是否存在 token
    hasToken: function() {
      return this.getToken() !== null;
    }
  };
  
  // 导出 TokenService 对象
  export default TokenService;